//
//  AppDelegate.swift
//  ToolSwift
//
//  Created by apple on 2024/1/17.
//

import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {


    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        
        // UIViewController 为首页控制器
        self.window?.rootViewController = self.navViewController

        return true
    }

    
    //MARK: - lazy load
    public internal(set) lazy var window: UIWindow? = {
        
        let _window = UIWindow.init(frame: UIScreen.main.bounds)
        
        //设置系统主题色
        if #available(iOS 7.0, *) {
            //tint color 为 高亮颜色
            //tint color默认是蓝色，但是通过改变它的颜色你可以立即让app获得自己独特风格
            _window.tintColor = .blue
        }
        // [S] 设置App 主容器
        
        _window.backgroundColor = .white
        _window.makeKeyAndVisible()
        _window.makeKey()
        
        return _window
    }()
    
    private lazy var navViewController:UINavigationController = {
        let _nav = UINavigationController(rootViewController: ViewController())
    
        _nav.navigationBar.isTranslucent = false
        _nav.isNavigationBarHidden = false
        _nav.navigationBar.isHidden = false
        _nav.toolbar.isHidden = false
        
        return _nav
    }()


}
